Welcome to Synchronize It!

Welcome to Synchronize It! Welcome to Synchronize It!

Synchronize It! will help you to keep files in different locations synchronized. It can work with plain folders, FTP sites and archives, and also supports various synchronization modes.

General:
Quick start
Sessions and Projects
Command line 		How to:
... synchronize 2 folders
... synchronize folder with FTP site
... synchronize folder with archive
... synchronize non-connected computers
See also:
What's new in this version
Installing and Removing
Frequently Asked Questions
Contact us
© 1996-2006, Grig Software, All Rights Reserved


Synchronize It! - Quick Start

Working with Synchronize It! is pretty much straightforward, especially when doing common tasks.

The central of your synchronization work in Synchronize It! will be Start Dialog, where you can specify what you want to do. At first sight it may seem a bit cluttered with controls, however with time you will appreciate its ability to show all settings on single screen, so you can do what you need without messing with multiple windows.

Start Dialog will be opened for you after application start, and is always accessible with a single click ( [image]) or keystroke (F2).

Answer yourself these questions, filling appropriate fields in Start Dialog:

1. What do you want to synchronize?

Select objects you want to work with. It could be your local folders, as well as archives, ftp sites, or special synchronization objects, such as snapshot or package. To select object, you can either type full path in field or press '...' button and browse for it.

Do you want to include subfolders?
Just set "Include subfolders" checkbox to right position.
Details

2. Which files do you want to copy?

Enter file mask, covering files you want to use. Empty mask will include all files.

3. How do you want to synchronize your data?

Synchronize It! has several preset rules for common tasks - 2 way Synchronize, Update Target, Backup, and Duplicate Source.
Details

Preview results

Once you have answered all questions and set appropriate options in Start Dialog, press Preview button. Synchronize It! will scan your folders, build file list and present it to you, highlighting what it is going to copy and where to.

If you want, you can review results, deselect some files, change copy direction etc.
Details

Do the job

Once you get the list and reviewed it, you can press Synchronize button that will actually start copying files.


Synchronize It! - What's new

Revisions history

This topic lists the improvements that were implemented with each consecutive version of Synchronize It!

Version 3.2 (1.09.2006)

  • You can quickly select just few sessions from Project to run;
  • Total size of files to copy now displayed in status;
  • More command line switches added;
  • Added ability to display progress in auto-mode;
  • File search panel;
  • Smart text files comparison added;
  • Sync of deleted files with packages added;
  • Current session name is shown in title;
  • Added option to delete empty folders after all files were deleted;
  • Archive bit support;
  • You can drag file from result list by CTRL+Right mouse button;
  • Optional preview by doubleclicking Session\Project in list;
  • Fixed numerous UI bugs.

Version 3.1 (21.06.2006)

  • Start dialog is now resizable;
  • Keyboard customization added;
  • Options import/export;
  • Option to change local files time during FTP sync;
  • Filters can be used in composite mode;
  • Advanced filters now can be used with projects.

Version 3.03 (24.05.2006)

  • Folders attributes are now copied;
  • Creating of lists during FTP session is disabled by default;
  • Option to save changed session before sync;
  • Multiple small improvements and fixes.

Version 3.02 (19.05.2006)

  • fixed problem with empty folders;
  • Empty folders will be deleted if all files were deleted;
  • few small improvements

Version 3.01 (16.05.2006)

  • fixed several found bugs;
  • Sessions and projects lists can be reorganized by mouse;
  • ftp password storage is more secure;

Version 3.0 (10.05.2006)

  • completely new version with new interface;
  • built-in support for zip archives and FTP;
  • printed and HTML reports on folders comparison;
  • several synchronization modes.


Installing and Removing Synchronize It!

Since Synchronize It! does not use your Windows registry and or any additional DLLs, installing and removing Synchronize It! is very simple.

To install or remove Synchronize It! with an installer

  • To install, run wndsync_setup.exe and follow the instructions to install.
  • To remove, use the Add/Remove Programs function in the Windows Control Panel.

To install or remove other versions of Synchronize It!

  • To install, unpack the original archive file (you may need a tool like WinZip) to any folder. You can create a new folder for Synchronize It! (and, optionally, Compare It!) or use any existing folder.
  • To remove, delete the following files:

    • wndsync.exe
    • wndsync.ini or winsync.reg
    • wndsync.chm


Sessions and Projects

What is Session?

If you you often compare 2 specific folders (such as Work and Backup folders) there is no need to select it manually again and again. Synchronize It! can help you by saving all comparison settings into Session, so you can quickly pickup and reuse it later.
Thus Session is just a named combination of:

  • Source and target objects to compare (folder, archives, etc);
  • File mask to use;
  • All additional settings - subfolders mask, comparison rule, advanced filters etc.;
  • Synchronization Action to use.

Once configured, you can easily recall Session from the list or use command line interface to automate your task.

What is Project?

If your common task include more than single pair of folders to compare, you can combine several Sessions into Project - this will allow you to run multiple Sessions with single call. One Session can be included in several Projects.

How to create a Session?

To create a Session:

  • Select Sessions page in Folder Selection dialog. You will see list of available Sessions (if any), and latest used synchronization settings - folders, files etc.
  • Select << new >> item in list. Now you can adjust all settings you want your new Session to have.
  • When ready, press [image] Save button - you will be prompted for a name.

How to modify a Session?

To modify a Session:

  • Select Session to want to modify in sessions list on appropriate page in Folder Selection dialog.
  • Adjust any settings you want.
  • When ready, press [image] Save button.

To rename or delete a Session:

  • Select Session you want to modify in sessions list on appropriate page in Folder Selection dialog.
  • Click it with right mouse button
    or
    press arrow on Save button.
  • Choose appropriate command (Rename or Delete) from menu.

How to reorder Sessions list?

To reorder Sessions list simply drag one session to new place. Dragged item will be inserted before highlighted target item. Same is true for Projects list too.

How to edit Projects?

To create and modify a Project:

  • Select Projects page in Folder Selection dialog. You will see list of available projects (if any), and list of Sessions for currently selected Project.
  • Press Edit Projects button.
  • Now you are in Projects dialog. See details on how to edit projects.

How to use Projects?

To use a Project:

  • Select Projects page in Folder Selection dialog.
  • Select Project you want to work with. Included sessions will be listed on the right.
  • Press Preview button to start folders comparison. All sessions in selected projects will be scanned in turn, adding found files to the common list.
You can also use Project by name in command line.


Synchronize It! - Synchronization actions

Synchronization actions

Comparison rules

During folders comparison, Synchronize It! consider some files as same. You can affect which files should be handled as same by choosing one of comparison rules:
Date + size | Default rule, suitable for most cases: files are same, if they have same date and size.
Date or content | Modification of default rule, suitable if you think you have same files with different dates. Files with same date and size are still considered as same, but in addition files with same size and different dates are compared byte-by-byte to check if they are same.
Content | Strict rule, which does binary comparison for all file pairs. Using this rule will make synchronization slower. This rule is ideally suited for CD verification after burning
Size only | Files are considered to be same if they have same size. It is only good for some log files and similar.

Tip #1: Synchronize It! always matches files with same names only.

Tip #2: Date comparison in all rules takes into account global time-related options, such as Ignore 2 secs difference etc.

Actions

Synchronize It! supports different synchronization modes, called Actions, which you can choose depending on your task. Actions are different in a way they handle each file types. Synchronize It! separates several file types during synchronization:

  • same files - they are not copied, but could be included in list;
  • files found only on source folder (left side of file list);
  • files found only on target folder (right side of file list);
  • files present on both sides, but source file is newer;
  • files present on both sides, but target file is newer.
Following table describes how each action handles these files:
Action | source only | target only | source newer | target newer
Synchronize | copy >> | copy << | copy >> | copy <<
Update target | copy >> | --- | copy >> | ---
Backup | copy >> | delete | copy >> | ---
Duplicate | copy >> | delete | copy >> | copy >>


Compare archives

Archives comparison support

Which archive types are supported?

Synchronize It! internally supports only zip archives. This means that you can work with zip archives without any additional tools (such as WinZip) installed. However Synchronize It! can also use external archivers to support other archives types, such as rar, bz2, arj.

What can I do with archives?

Archives support allows you to:

  • create backup archives from folders;
  • compare folders content with archived version and update it;
  • compare and synchronize 2 archives with each other.

How to use archives in Synchronize It?

To select an archive you can either simply type it's name in source\target field in Start Dialog, or browse for existing archive by pressing arrow sub-button and choosing Archive from submenu.
Apart from this, you will not notice any differences between working with archive and working with plain folder - Synchronize It! will list files, pack/unpack them as necessary - all without your intervention.


Archive bit usage

What is archive bit?

Archive bit is one of the file attributes supported by file system. System will automatically set archive bit whenever you change this file or when you create new file. So meaning of this attribute can be considered as "file needs backup".

How can you use it?

When you set "Use archive bit" in advanced file filters with Synchronize It, it will copy only files where this bit is set. In addition, it will clear this bit whenever file is copied. As result, you can easily arrange incremental backup scheme, when each folder will only have backup of files modified since last backup.

As an example, here is simple command line to automatically create daily backup archives:

wndsync.exe c:\project d:\back%D%M.zip /A /AUTO
This command line will automatically create archives with date in filenames, like back0901.zip for September 1. Each archive will have files modified since last backup.


Command Line Usage

This topic shows examples of how you can use Synchronize It! in a command line.

Syntax

wndsync.exe folder1 folder2 [files mask] [options]
wndsync.exe SessionName [options]

Where:

  • folder1 and folder2 are the folders to compare. You can also use here archive name, ftp sessions name etc. Use quotes if name includes spaces: "Long Project Name"
  • SessionName can be either Session or Project name. If you have Project and Session with same name (what is not recommended), Session will be picked by default. Use /P switch to select Project in such case.
  • options are explained below:

    /P=ProjectName | Useful if you have sessions and projects with same names.
    /sync | select action: Synchronize
    /back | select action: Backup
    /update | select action: Update
    /copy | select action: Duplicate
    /auto | Automatic unattended run, no interface 1
    /show | When used with /auto displays main window to show progress
    /show2 | Same as /show, but do not close app if there were errors during process.
    /scan | Start file scanning immediately
    /O | search orphan files only
    /M | search matched files only
    /R | include subfolders
    /RM | include matched subfolders only
    /X | exclude files by list, ex. /X"*.html *.css"
    /XD | exclude subfolders by list, ex. /XD"backup; My Pictures"
    /date | comparison mode: By date + size
    /smart | comparison mode: By date + content
    /cnt | comparison mode: By content
    /size | comparison mode: By size only
    /nolog | Disables logging for current session
    /log | Enables logging for current session 2
    /log0 | Enables logging and force logging even if no files were copied 2
    /date: Advanced filters: date range
    /- Advanced filters: not older then
    /A | Use archive bit
    /H | Ignore hidden and system files

Note 1: To prevent errors /auto switch will only work if you specify in command line either Session\Project name or source and target folders.
Note 2: Both /log and /log0 switches can be followed by alternative log file name with full path: /log c:\newlog.html

Using Advanced date filtering with command line

To filter files by date you can use one of these rules:
Not older then (/-) Date range (/date:)
  • /-H3: 3 hours
  • /-D : today
  • /-D2: 2 days
  • /-W: this week
  • /-W4: 4 weeks
  • /-M: this month
  • /-M6: 6 months
/date:dd.mm.yyyy[-dd.mm.yyyy]

If second date is omitted, only files modified after specified date are searched.

  • /date:24.12.2005-01.01.2006
  • /date:01.01.2006


Working with File list

File list give you ability to preview synchronization task, select which files you want to copy, change direction if you find it more suitable etc.

Dual selection

One of the new features in version 3 is ability to select multiple files in files list. However it could a bit confusing first time - now we have 2 selection modes:

  • Synchronization marks - permanent selection, shown with checkboxes on the left side of the list. These marks defines whether file will be copied during synchronization process. You can toggle these marks by clicking on checkboxes or with SPACE key.
  • Temporary selection - this selection is similar to files selection in Windows Explorer. You can use it to do group operations: toggle synchronization marks, change direction, invoke DoItNow function etc. Files with such selection are highlighted with different color.

Collapsing folders

Another new addition is collapsible folders in file list. It allows your to hide some files from list to simplify your work. To toggle folder state click plus\minus sign next to folder name. You can quickly toggle all folders state in menu View > Toggle Folders or with Ctrl + Gray / shortcut.
By default files in collapsed folders are synchronized just as usual. In some cases you may find it good to change this behaviour to ignore files in closed folders. You can change this setting in View > Options > Settings

Folder statistics

For each folder in file list Synchronize It! displays number of files in this folder to be copied in each direction. Note that if you have chosen to ignore files in collapsed folders, closed folders will not show any stats.

Filters

Filter feature helps you to limit files listed (and processed!) by several rules:
    By place:
  • Source only;
  • Target only;
  • Matching only;
    By suggested file operation:
  • copy to source;
  • copy to target;
  • delete;
Files, which were filtered out and are not visible, will NOT be copied\deleted!
This lets you quickly upgrade one side of folders comparison without losing current comparison results.
Note that folders statistics numbers will change when you apply filters to reflect new quantity of files in work.

Invoking files comparison

Synchronize It! lets you use any file comparison tool you like. We recommend using our Compare It! to get best results - Synchronize It! will automatically pass all required parameters to it.

To specify file comparison tool configure it in Tools dialog, and set "Use for file comparison" flag.

Status bar

In status bar you can see number of different files in process:
Total files number of different files found
number of selected files - these files will be copied
number of files to be deleted
number of files to copy to left side
number of files to copy to right side
number of conflict files


Synchronize It! - File masks

Selecting files to synchronize

Working with file filters

Synchronize It! lets you select which files you want to synchronize. In most cases single file mask looks like *.ext (ex: *.doc for MS Word files). But you can make more complex masks, keeping in mind that * means "any characters sequence". As an example, mask my*.doc will match my letter.doc and my fax.doc, but not project.doc

Masks can be combined, multiple entries should be delimited with ; (semicolon): *.doc; *.xls; *.ppt, or just with space:*.htm *.html *.css

If you want to synchronize all files, you can use *.* mask or just leave field empty.

Excluding files

Sometimes it is easier to specify few files types to skip, than enumerate many files you work with. In this case you can use exclude feature - by pressing [image] button, you tell program to skip files listed by mask from synchronization. Note that button is highlighted when pressed, so you can quickly identify your filters will be treated as excluded.

If you need to combine both include and exclude masks, you will have to use special syntax: use | to separate include and exclude parts: *.doc | back* will include all doc files except those starting with back, like backup.doc. Exclude button should not be used in this case.

Named filters

Usually you will work with same files types everyday. To simplify this work Synchronize It! offers you ability to store often used file types set with name and quickly select it later.

To select one of preconfigured filters press button arrow next to the mask field. Once you will select a filter, appropriate file mask will appear in editing field, and filter name will be shown below. This name will notify you that your filter is OK and you can synchronize files without checking that all files are included.

You can adjust filters sets in View > Options > File Filters, or directly from Start dialog by choosing Edit list menu item.

Advanced filters

One day you may find that filtering files by name is just not enough - as an example, you can want to synchronize just files which you have modified today. For such cases Synchronize It! includes advanced filters feature, which is accessible when pressing Advanced filters button is pressed.

You can use following filters:

  • filter by date - either with "not older than" rule, or by specifying date range for absolute date values;
  • filter by file size - you can include only files which are bigger or smaller than some limit;
  • skip system and hidden files;
  • Use archive bit;


Advanced folders filtering

Including subfolders

Synchronize It! provides several options for handling subfolders during synchronization:

  • No subfolders - only specified folders are synchronized, all subfolders are ignored;
  • Include subfolders - folders are compared along with all subfolders. Subfolders, which were found on one side only, will be either deleted or copied to another side, depending on selected action;
  • Include matched only subfolders - only subfolders, found in both top-level folders are synchronized;
  • Include subfolders matching filter - you can provide mask string, and only subfolders matching this mask will be handled;
  • Exclude subfolders by filter - again, you provide a mask, but in this case all subfolders are handled, except those matching your filter;
In Start dialog you can easily choose one of first 3 options using provided check boxes: Include subfolders and Matched only [subfolders]. Selecting filter for folder is a bit tricky.

How to filter subfolders

To follow our "single screen setup" idea, we have tried to make interface that clearly displays current state, and allows easy modification without many controls at the same time. Here is what we have:

Current filters state is shown in following way:
All subfolders are included;
Filter subfolder by mask;
Exclude subfolders by mask
To modify folder filters settings:
  1. Click current state button:
  2. Select filter mode to use;
  3. Enter filter, which can include:
    • Full path to folder (c:\backup\)
    • just folder name (backup);
    • mask (back*).
    Multiple entries should be divided with semicolon (;).
  4. Click OK to save your changes.
To simplify entering and combining filters, you can press [image] button to open visual editor, which will allow you to browse for folders and edit items without worrying about delimiters.


Synchronize It! - FTP support

FTP support

How to work with FTP servers

Synchronize It! allows you to work with FTP servers as with local folders, however since connection to FTP requires some additional data you will have to configure FTP servers list.

For each server you can specify following data:
Name | Readable name of this entry - you will refer this name in Start Dialog
Server + port | If you are not sure about port number, leave default value - 21
User+password | Your access name and password. Or set Anonymous check box if this is server with public access
Folder | Default remote path to open when connecting. Set this to your synchronization path on remote server
Firewall\proxy | You may need this if you are behind corporate firewall. If you are not sure, do not use this option.
Use lower case file names | Always convert file names to lower case when uploading to this server.
Create list files | Synchronization with FTP servers is difficult because in most cases server does not let to set correct time for copied file, instead it set date-time to current. As result next date comparison will fail to find same files. Getting each file for byte-to-byte comparison is too slow. Synchronize It! can solve this problem by uploading list of files with correct dates. This file is usually named $7list7$.txt, to avoid conflict with your existing files.

Once you have configured your server, you can choose it in Start Dialog by typing name as ftp:ServerName directly in edit field, or by selecting it from list.


Synchronize It! - Tools

Using external tools

Synchronize It! supports custom tools, which can be applied to files/folders being synchronized. One tool is used to compare files, so you must select the "Use for file comparison" checkbox for it.

How do I add new tool?

Press Add button, select the executable to run, and set the tool's name. This name you will see in the tools menu. Next, define your desired parameters for the tool: you can type them in Parameters area, or select from predefined list of parameters by pressing >> button. This list includes most of items you can need - file path, file directory, and more. For example, it will insert {$SourcePath} macro, if you select "Source file" from list.

Passing parameters to your tools

In addition to any static parameters, you can pass also name of the file several predefined parameters:

  • {$SourcePath}: left file in selected line
  • {$TargetPath}: right file in selected line
  • ${SourceFolder}: folder path of left file
  • ${TargetFolder}: folder path of right file
  • ${ActivePath}: currently highlighted file (left or right)
  • ${ActiveFolder}: folder of currently highlighted file (left or right)
  • ${PassivePath}: pair file to active one
  • ${PassiveFolder}: folder of non-active file
  • ${NewFileList}: name of file with list of newer files, selected to copy
  • ${BackupList}: name of file with list of older files, selected to be overwritten
Tip: %D,%M and %Y in parameters list will expand to day, month and year respectively.

Using Compare It! as comparison tool

It's recommended that you use Compare It! as external comparison tool. Synchronize It! will recognize it by wincmp3.exe name. In this case you can leave parameters field empty, letting program to use best suited parameters.

Built-in tools

There are several built-in tools, which you can find under Tools menu:

  • Open: run associated application for currently selected file;
  • Copy To: let you copy selected files to another location;
  • Package: create package from selected files.


Synchronize It! - History files

Using history files

One of common synchronization problems is inability to find out whether you have deleted file in one folder, or you have added pair file in second folder. To solve this problem Synchronize It! can create History files - these files store list of files in folders after synchronization task is done. Thus in next run we can read this list, compare it to current folder content, and exactly know which files where modified, deleted or added in each folder.

Creating history files

Synchronize It! will create history files for all local folders automatically if you have selected appropriate setting in View > Options > General. You can also create these files without running any synchronization by choosing File > Make History file menu item. You will be prompted for folder path where to create log files.

History files are named synch.log and have hidden attribute to not mess with your ordinal files.

Conflict files

Using history files has additional value of detecting conflict files - these files have been modified on both sides since last synchronization. So if you simply copy file from one side to another you may lost your work. Such files are highlighted with special color and have special icon in File List: You should handle conflict files carefully, probably by making manual merge with file comparison tool.


Synchronize It! - Package

Using package

What is Package?

Package is similar to snapshot - it also keeps folder listing. However, package is able to include actual files in addition to files list. Main purpose of packages - synchronizing remote computers without having to transfer full folder content..

How to create a Package?

Just as snapshot, you can create package by synchronizing a folder into new package file with .pkg extension. To avoid messing with similar extensions, you can just browse for file using commands from additional files menu:

How to synchronize remote computers with package?

Suggest we have working folder on 2 computers A (home) and B (office). For best results they should be equal before first stage.

  1. Create package at your home computer A by synchronizing your working folder into new package file. Now package includes only listing of files on computer A.
  2. After productive working day at computer B, synchronize your folder with package. When you copy new files to package, actual files will be copied into package. Now package include listing of B + files that you need to bring to A.
  3. When you come home, synchronize home folder with package - new files from package will be copied into folder.
Now everytime before you start working synchronize working folder with package to get latest files. Once finished, synchronize again to store updated files. Synchronize It! will automatically keep new files in package, and remove copied files from it to keep minimal transfer size.

Preparing update package from 2 folders

There is also alternative way to create package, useful when you need to create update package from 2 local folders comparison. When file list is ready, choose menu command Tools > Package. You will be prompted for file name and which files to include in package - you can create package with all new files from both folders, or just from one side.

This approach is useful when you need to send update to another person, and you have local copy of his\her files.

Using packages to request update

If you don't have copy of colleague's files, there is simple trick to request changes that were made. Create package from your working folder (do not forget that newly created package only includes file listing) and send this package to your friend. He then synchronize package with his folder, storing all changed files in package. As an additional bonus, he will see if you have some newer files. Once you receive your package back, you can synchronize it with your folder to get recent state.

Behind the scenes

Package do not limit your exchange ability to only those friends who is using Synchronize It! too. In fact package is just a zip file, which includes file with latest listing and folder with all currently transferred files. Since these files keep original filenames and folders structure, you can rename .pkg file to .zip and send it to everybody you need.


Synchronize It! - folder's snapshot

Using snapshot

What is Snapshot?

Suggest you want to find out which changes were made to system folder during some software installation. With Synchronize It! you can generate special file, which will keep listing of all files in folder with all their attributes, such as size and modification date. Such listing we call folder's Snapshot.

How to create Snapshot?

You can create snapshot by synchronizing a folder into new snapshot file with .pck extension. Note that this approach allows you to include in snapshot only files of specific types.

  1. Select folder for snapshot as Source;
  2. Specify path and file name for snapshot as Target, note that .pck extension is a signal to create a snapshot;
  3. Specify any additional options you want - whether to include subfolders, which files to list, etc.;
  4. Set Synchronize action;
  5. Press Preview;
  6. Once file list will be ready, press Synchronize to create snapshot;

How to compare Snapshot with folder?

To compare folder with snapshot just specify snapshot file as source or target and follow common steps. You can even "copy" files to existing snapshot to update that file listing. "Copying" file from snapshot will not do anything, since there are no actual data in snapshot file.

If you want to synchronize folders on non-connected PCs, you may want to check Package, which is similar to snapshot but can also include actual changed files along with pure folder listing.


Reports generation

Generating HTML reports

Synchronize It! can generate HTML report with results of folders comparison.

Note that report will always include all found file, independently from currently applied filters.

  • Report file - select where to place your report file;
  • Report type - this field is reserved for future extesions;
  • Include same files - whether to include same files in report;
  • External CSS file - set this option to always use predefined CSS file (wndsync-report.css), this allows you to change report style;
  • Open after generation - this option will open report after generation.


Synchronize It! - Variables

Using variables

What is variable?

Instead of using direct path in Sessions, Synchronize It! lets you configure a Variable - text name you can use instead of path. This can be useful in several cases:

  • if your path is very long, or you work with several similar paths, it maybe easier to use short text names instead;
  • if you often move your working folder (or work on different PCs), you will have to change Sessions everytime you move. With Variables you can simply change it in one place and all your Sessions will use new path automatically;

Using variables

To use Variable, just enter it with following syntax: $(VarName). You can also choose it using browser by pressing arrow button next to Source\Target fields.

Adding your own variables

You can add\modify your own variables in View > Options > Vars.

Using system variables

In addition to your own variable, you can also use system environment variables with following syntax: %VarName%


Options - general

Options : General

This page lets you change some common settings of Synchronize It!
Ignore 2 sec difference | This option deals with following problem - historically FAT file system stores only even seconds in file time. This means that if you copy file with time 11:46:35 to such system, time will change to 11:46:34. This could cause problems with file comparison based on time. Synchronize It! can handle such situations correctly.
Ignore NTFS daylight savings | This is another option handling Windows-specific time problem - in this case NTFS stores file time in GST, and display it using current daylight saving state. This means that, depending on current season, file time can change without your actions.
Clear read-only attribute when copying from CD | As follows from it's name, this option will make Synchronize It! to clear appropriate flag from files when updating local folder from CD.
Delete to Recycle bin | Files will be deleted to Recycle bin, instead of plain deletion.
Handle empty folders | Empty folders will be included in File List, and you can handle them as files - copy, delete etc.
Delete empty folders if all files were deleted |
Make backup | Keep backup of replaced files in specified folder.
Use history files | Generate history files when synchronizing folders and use it next time. See details


Options - Interface

Options : Interface

This page lets you tweak interface a bit for Synchronize It!

Save modified session on preview This option defines what will Synchronize It! do if you select a sessions, change it, and press Preview!
  • if set: session will be updated with new data;
  • if cleared: session will be not be saved, next time you select this session you will see previous settings. This doesn't affect your current synchronization process though;
  • if grayed: you will asked what to do in each case.
Always show arrows buttons in Start Dialogs | Probably you have seen these arrows in Start Dialog, which only appear if you hover Source\target areas with mouse. This option lets you make them always visible
Preview by doubleclick on Session | This option allows you to quickly start preview by doubleclicking Session/Project name in list
Sync files in collapsed folders | Change this if you don't want to files in "closed" folder in result view to be copied.
No confirmations on Do It Now! | Disable confirmations when performing Do It Now! action
Disable other confirmations | Change default state of "No confirmations" switch on start dialog. Note that you can change confirmations switch interactively any time, this option only select it's default state.


Options - File Filters

Options: File Filters

File filters

To quickly select often used files, you can define filters consisting of pairs of name+file masks. Later, when you select filter by name in Start Dialog, these masks are transferred to the Search Mask field.

Masks in a filter definition can be divided by a space, comma, or semicolon:

All files: *.*
Documents: *.doc; *.rtf
Pictures: *.bmp *.gif *.jpg

You can also specify both include and exclude masks in one filter string by using include ! exclude syntax. Note blanks around exclamation sign! For example *.doc *.txt ! old*.* filter will include report.doc, but exclude oldreport.doc. Using this syntax with exclude button from Start Dialog is equal to removing '!' sign from filter, so only oldreport.doc would be found in this case.


Options - Text comparison

Options : Text comparison

Some comparison rules require Synchronize It! to compare files content to verify if files are actually equal. Default byte-by-byte comparison is fast and reliable for this purpose, however when using various text files such comparison could be not enough. As an example, adding single blank(space) at the line end can be considered as insignificant change, however binary comparison will report files are different.

To solve this problem Synchronize It! can use special rules when comparing text files. You can specify several comparison rules for different file types.

  • Name - rule name for your reference;
  • Mask - either a file mask, or combination of existing predefined sets;
  • Ignore case - different letter's case will be ignored (House=house);
  • Ignore empty lines - inserted empty lines will be ignored;
  • Ignore line ending - difference is line-ending style (Win, MAC, Unix) will be ignored;
  • Ignore all blanks - all blanks in lines ignored ("this is my house"="th i smyh ouse");
  • leading - ignoring blanks at line beginning ("_this is my house"="this is my house");
  • trailing - ignoring blanks at line end ("this is my house_"="this is my house");
  • not-word - ignore blanks between letters and syntax characters("this is my house_!"="this is my house!");
  • multiple - sequence of several blanks in row will be considered same as just one("this___is_my_house"="this_is_my_house");


Options - Font

Options : Font

This page lets you select font used in File List.


Options : Keyboard

You can modify all keyboard shortcuts used in Synchronize It! to suit your preferences.

To customize keyboard shortcuts:

  1. Choose View > Options.
    The Options dialog box appears.
  2. In the Options box, select Keyboard page.
  3. In the Commands list, select the command.
    The current key combination is shown in the Current keys list.
  4. Click in the New shortcut key field and press the single key or key combination you want to assign to the command.
    If the new keyboard shortcut is already assigned to another command, Synchronize It! shows this under Currently assigned to as soon as you press the single key or key combination.
  5. Click the Assign button to assign the keyboard shortcut to the command.

To remove a keyboard shortcut:

  1. In the Commands list, select the command.
  2. In the Current keys list, select the keyboard shortcut.
  3. Click the Remove button.

To reset default keyboard shortcuts:

  • Click the Reset All button.


Options - archives

Options : Archives

In addition to internally supported zip archives, Synchronize It! can work with most other archive types by using external archivers. Currently configuration for such archives is located in additional external file, usually wndsync.arc. You will not need to modify this file unless your want to add your own archivers. In this case consider following instructions. Also, see sample file below.

Structure of configuration file

File wndsync.arc has structure identical to that of standard Windows ini file. Every archiver tool has its own section covering command line syntax for listing archive content, adding, removing and extracting files, as well as format of listing file. One additional [ext] section associates file extensions with section of corresponding archiver, like this:
[ext]
rar=winrar
arj=Arj
If archiver utility can handle files of several extensions, you can specify them all dividing with space, i.e.
lz lzh=Lzh
Here is description of keys under [ArcName] section:
  • p= program used to pack files;
  • u= unpack tool. This key can be empty, if packer and unpacker tools are same;
  • list= command line to produce files listing. Result listing should include all necessary information, like file date, size and path;
  • lstart= character sequence in listing preceding first file;
  • lend= character sequence following last file in listing, if any;
  • lformat= format string for parsing listing information, see details below;
  • add= command to add file(s) to archive, it should have "include subdirectories" flag;
  • delete= command to delete file from archive;
  • get= command to extract file from archive;
  • w32=1 this key indicates that archiver tool is Win32 application and understands long file names.

All commands can include next parameters:

  • %p - pack tool;
  • %u - unpack tool;
  • %A - archive name;
  • %F - file name.

Format information

To read information from listing produced by archiver, Synchronize It! have to know format of this file. lformat key describes it by using string of next format:

lformat= L|X|X|X|MM-dd-yy|hh:mm|X|N
where:
  • '|' is a word delimiter,
  • X - unused word (like packed size, attributes, etc.),
  • L - original file length,
  • MM-dd-yy - date format (MM for month, dd-day, yy-year),
  • hh:mm - time format (hh-hours, mm-minutes, ss-seconds),
  • N - full file name,
  • N! - file name at the line and (to use possible spaces in name),
  • C - CRC32 (cyclical redundancy check). Synchronize It! can use this value to compare files in archive, if "Compare files of same size" in StartDialog is set. If you do not want to use CRC, simply replace it with X mark.

Some archivers use system date format in listing. For this case there is special format values:

  • date - date in system format;
  • datey - same as above, but year is always last.

Also, format line can start with several '$', meaning to merge 2 or more lines into one.

Sample of wndsync.arc for rar archive:

[ext]
rar=rar

[rar]
p=rar.exe
list=%p v %A
lstart=------
lend=------
lformat=$|N|L|X|X|MM-dd-yy|hh:mm
add=%p a -r %A %F
delete=%p d %A %F
get=%p e %A %F


Options : Languages

Synchronize It! supports multilingual interface. To select current language, go to the Language page in Options dialog.

Please note that you will have to restart application to full switch to selected language.

New languages

You can check for new languages at Synchronize It! home page. If your native language is not listed, you can earn FREE registration by creating translation yourself.


Options: Log file usage

Log file usage

Log file

Synchronize It! can generate log file, listing there all actions it does - copying, overwriting and deleting files. Log file is in HTML format, allowing you easily see status of each operation.

We do not limit log file by size. Instead we have chosen to limit it by number of work sessions. Do not miss it to our Synchronization Sessions - work session is just all the time you work with selected folders comparison results. You can copy few files with DoItNow!, copy all selected files using Synchronize! button, then copy some more files with DoItNow! - all your actions will be considered as single work session and will be listed in single log file section.

Following options are available for tweaking logs generation:

  • Log file - select where to generate log file;
  • Number of last sessions stored - specify how many work sessions you want to keep in log;
  • Log errors only - set this option if you don't want to keep log of successful file operations;
  • Log unattended runs only - use this option if you do not want to log your manual actions. In this case log will be updated only when you use /auto mode.

Changing log file style

Synchronize It! constantly updates same report file, preserving CSS table untouched. You can use this fact to change file style - just generate log file once (do any file action), then change CSS table in the beginning of the file. When Synchronize It! will add session to log file next time, it will keep your changes.


What is Shareware?

This program is not free. Shareware means that this software is available to you for free evaluation. You are entitled to evaluate the software for up to 30 days without obligation to pay. After 30 days, if you decide to keep the software, you must register your copy for a small fee.

How can I register?

Trial (non-registered) version is a "full-featured" release. This means that the same capabilities available in the registered software are present in the non-registered software. This allows you to try out all the features to confirm that they work to your satisfaction. I have not even added a nag box, as I know how irritating that can be.

Why Should I Register?

  • First of all - to support future development of this tool;
  • The trial version is time limited, so registration will allow you to use Synchronize It! without limitations;
  • You will also have priority in e-mail technical support, new features you suggest will have more priority too;

  • Your purchase will also entitle you to discounts on new software releases from the same author.

How can I register?


Warranty and License

Shareware Warranty Statement

Author is not responsible for any damages whatsoever, including loss of information, interruption of business, personal injury and/or any damage or consequential damage without limitation, incurred before, during or after the use of this product. Author's entire liability, without exception, is limited to the customers' reimbursement of the purchase price of the software (maximum being the suggested retail price) in exchange for the return of the product, all copies, registration papers and manuals, and all materials that constitute a transfer of ownership from the customer back to Author.

Licensing Details

Synchronize It! is available in a number of license types.

Personal license | Due to the multi-computer nature of our software, a personal license can be used on up to 3 computers: home, office and notebook computers belonging to a single person.
Multiple seats licenses | The sets of multiple seats licenses are designed to be used within an office environment. A license for N seats allows up to N persons to use program in all their workplaces, including notebook computers.
Enterprise license | If you have a lot of potential software users, and you do not want to worry about upgrades in the future, then your choice is the Enterprise license. This license allows usage of the software for an unlimited number of seats, in multiple offices within same country. The Enterprise license is offered at special, very reasonable price.

Distribution

The trial version may be distributed freely (electronically or on physical media) as long as the files are distributed in their entirety.

The sale of and or distribution of registered copies of this software is strictly forbidden. It is a violation of this agreement to loan, rent, lease, borrow, or transfer the use of registered copies of this software product.

Updates

Synchronize It! comes with one year's free upgrades from the date of purchase. This includes any minor or major release made within one year of your purchase. After the first year you may continue to use any version released within one year of your original purchase for as long as you like or you may purchase an upgrade. If you choose to purchase an upgrade you will get a further year's free upgrades from the date you purchased the upgrade.


How to Register

Please visit www.grigsoft.com for further details on purchasing and the latest information about prices and discounts!

The registration fee includes:

  • Lifetime e-mail technical support;
  • 1 year of free upgrades;
  • Discounts for future upgrades.

We also offer great discounts for multiple licences packages. Please consult www.grigsoft.com for details.

If you need special exclusive license or pricing, please feel free to contact us. We will find a mutually beneficial solution.

See also: Licensing details.


Other Products

If you find Synchronize It! useful, you should also try the companion product targeted at files comparison and merging: Compare It!

Here is a list of features you can find in Compare It!

  • Full featured editor within comparison panes;
  • Syntax highlighting for several languages;
  • Word wrap in editor;
  • Compare doc, xls, pdf files;
  • Printing, reporting, and many more cool features.
See details at our home page.


Synchronize It! - Frequently Asked Questions

Frequently Asked Questions

Q.?
A.


Updates and Support

Please send your technical support questions, ideas, and bug reports to support@grigsoft.com.

Also you are always welcome to participate in our support forum at [image] http://www.grigsoft.com/forum/.

Sales related questions should be sent to sales@grigsoft.com.

For any information about new versions and other cool stuff check out the author's home page: http://www.grigsoft.com/.

Note: Letters from registered users have priority. The problems they find in the application will be fixed first, and their ideas will have more importance to implement and so on. Please state your registration name, if any, in your message.


Edit Projects list

How edit Projects list

Edit projects dialog consist of 3 list:

  • Projects - lists existing projects;
  • Sessions - includes sessions of currently selected project;
  • Available - lists sessions, which could be added to current project.

How to add new Project

  • Press [image] Add button - new project with default name will be added. Now you can change name of the Project.
  • To add session to project - select it in rightmost list (Available) and press << button
  • To remove session from project - select it in the middle list (Sessions) and press >> button

How to delete Project

  • Select project you want to delete in leftmost list;
  • Press [image] Delete button - after confirmation selected project will be deleted.

See Also

Sessions and Projects